diff --git a/build.xml b/build.xml
index 56be5f1..13bdb4c 100644
--- a/build.xml
+++ b/build.xml
@@ -50,6 +50,8 @@
     <!-- classpath for the application; needs java-uno classes -->
     <path id="main.class.path"> 
         <!-- java uno classes -->
+    	<filelist dir="/usr/share/java"
+                files="jaxb-api.jar"/>
     	<filelist dir="${URE_CLASSES}"
 	        files="libreoffice.jar"/>
         <filelist dir="${OFFICE_CLASSES}"
@@ -109,7 +109,7 @@
             </fileset>
             <manifest>
                 <attribute name="Main-Class" value="writer2latex.Application"/>
-                <attribute name="Class-Path" value="jaxp.jar parser.jar"/>
+                <attribute name="Class-Path" value="jaxp.jar parser.jar /usr/share/java/jaxb-api.jar"/>
             </manifest>
         </jar>
     </target>
